Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] How to install openmpi to suportthread_level_multiple?
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-11-30 19:58:41


You need to configure and build Open MPI with the --enable-mpi-threads
configure switch. It is off by default. Specifically:

   ./configure --enable-mpi-threads ...

Note that not all features are supported with --enable-mpi-threads --
see the README file for more details.

On Nov 25, 2009, at 1:37 AM, Vivek Satpute wrote:

> Hi,
>
> As much as I know about OMPI, THREAD_LEVEL_MULTIPLE value is set to
> "yes" by default.
>
> -Vivek
> On Tue, Nov 24, 2009 at 11:04 PM, Luís Miranda <luistm_at_[hidden]>
> wrote:
>
>
>
>
> How to install openmpi to suport thread_level_multiple?
>
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Jeff Squyres
jsquyres_at_[hidden]